Bug 1232218 - Review Request: golang-github-jessevdk-go-flags - Go command line option parser
Summary: Review Request: golang-github-jessevdk-go-flags - Go command line option parser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 10:10 UTC by Marek Skalický
Modified: 2015-07-08 17:10 UTC (History)
2 users (show)

Fixed In Version: golang-github-jessevdk-go-flags-0-0.1.git5e11878.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:09:25 UTC
jchaloup: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Skalický 2015-06-16 10:10:08 UTC
Spec URL: https://mskalick.fedorapeople.org/reviews/golang-github-jessevdk-go-flags/golang-github-jessevdk-go-flags.spec

SRPM URL: https://mskalick.fedorapeople.org/reviews/golang-github-jessevdk-go-flags/golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc20.src.rpm

Description: Go command line option parser

Fedora Account System Username: mskalick

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10068996

$ rpmlint /home/mskalick/rpmbuild/SRPMS/golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc20.src.rpm /home/mskalick/rpmbuild/RPMS/noarch/golang-github-jessevdk-go-flags-devel-0-0.1.git5e11878.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-06-16 12:08:39 UTC
Summary:
- all Provides and BRs correct
- license correct and valid
- only source codes provided (devel subpackage)

Specfile conforms to current packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 2 Jan Chaloupka 2015-06-16 12:16:12 UTC
New Package SCM Request
=======================
Package Name: golang-github-jessevdk-go-flags
Short Description: Go command line option parser
Upstream URL: https://github.com/jessevdk/go-flags
Owners: jchaloup mskalick
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-06-16 13:58:35 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-06-17 13:19:21 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc22

Comment 5 Fedora Update System 2015-06-17 13:19:45 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc21

Comment 6 Fedora Update System 2015-06-17 13:20:18 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-jessevdk-go-flags-0-0.1.git5e11878.el6

Comment 7 Fedora Update System 2015-06-20 21:14:28 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-06-30 00:09:25 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc22 has been pushed to the Fedora 22 stable repository.

Comment 9 Fedora Update System 2015-06-30 00:14:36 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-07-08 17:10:58 UTC
golang-github-jessevdk-go-flags-0-0.1.git5e11878.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.